com.verisign.epp.codec.gen

## Class EPPDecodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.verisign.epp.exception.EPPException
      - - com.verisign.epp.codec.gen.EPPCodecException
        - - com.verisign.epp.codec.gen.EPPDecodeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EPPComponentNotFoundException

      public class EPPDecodeException
      extends EPPCodecException

  Represents an exception while decoding an XML Element tree into a concrete `EPPCodecComponent`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `MISSINGPARAMETER, SAX_EXCEPTION, VALUE_MISSINGPARAMETER, VALUE_SAX_EXCEPTION, VALUE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDecodeException(EPPCodecException excep)` Copy Constructor for EPPDecodeException that takes the base EPPCodecException.
    `EPPDecodeException(java.lang.String info)` Constructor for EPPDecodeException that takes an info string.
    `EPPDecodeException(java.lang.String info, EPPCodecException excep)` Constructor for EPPDecodeException that takes an info string and the base EPPCodecException.

  - ### Method Summary

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCodecException

      `equals, getValue`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDecodeException

          public EPPDecodeException(java.lang.String info)

      Constructor for EPPDecodeException that takes an info string.
      Parameters:
        `info` - Text description of the exception.

    - #### EPPDecodeException

          public EPPDecodeException(java.lang.String info,
                                    EPPCodecException excep)

      Constructor for EPPDecodeException that takes an info string and the base EPPCodecException.
      Parameters:
        `info` - Text description of the exception.
        `excep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.

    - #### EPPDecodeException

          public EPPDecodeException(EPPCodecException excep)

      Copy Constructor for EPPDecodeException that takes the base EPPCodecException.
      Parameters:
        `excep` - the EPPCodecException letting us know which specific error has occured to be propagated to the Assembler.